From: Daniel Swarbrick <dswarbrick@debian.org>
Date: Wed, 6 Mar 2024 22:10:18 +0100
Subject: Disable React app

Forwarded: not-needed

Packaging the React app source is not currently feasible.
---
 cmd/alertmanager/main.go | 2 --
 1 file changed, 2 deletions(-)

diff --git a/cmd/alertmanager/main.go b/cmd/alertmanager/main.go
index bb4efd8..d6c413a 100644
--- a/cmd/alertmanager/main.go
+++ b/cmd/alertmanager/main.go
@@ -60,7 +60,6 @@ import (
 	"github.com/prometheus/alertmanager/timeinterval"
 	"github.com/prometheus/alertmanager/types"
 	"github.com/prometheus/alertmanager/ui"
-	reactapp "github.com/prometheus/alertmanager/ui/react-app"
 )
 
 var (
@@ -548,7 +547,6 @@ func run() int {
 	webReload := make(chan chan error)
 
 	ui.Register(router, webReload, *uiPath)
-	reactapp.Register(router, logger)
 
 	mux := api.Register(router, *routePrefix)
 
